com.informix.smartTrigger

## Interface IfmxSmartTriggerCallback

    public interface IfmxSmartTriggerCallback

A callback that can be passed to a Smart Trigger object Passing in an implementation of this interface into a Smart Trigger object allows you to receive callbacks when events that fire a smart trigger intercepts

Since:
  4.10.9
See Also:
  `IfmxThreadedSmartTrigger`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `notify(java.lang.String json)` Receive a notification in the form of a JSON string when the registered smart trigger event occurs

### Method Detail

#### notify

    void notify(java.lang.String json)

Receive a notification in the form of a JSON string when the registered smart trigger event occurs

Parameters:
  `json` - String that contains JSON